Date

After todays bitcoin rally, I tried to set up a secure wallet (albeit for a tiny amount of bitcoin) following the guidelines in the bitcoin wiki.

However, these steps do not work as presented and need lots of time and fiddling, especially because Bitcoin-QT does not run on a ubuntu live CD system when installed via USB stick. What I have done instead is (starting at step 7):

  • Installed the client by adding the official repository (obviously you have to do this before disconnecting from the Internet):
sudo add-apt-repository ppa:bitcoin/bitcoin
sudo apt-get update
sudo apt-get install bitcoin-qt
  • When trying to install the client got the error message bitcoin-qt : Depends: libqrencode3(>=3.2.0) bit is not installable and when trying the library directly Package libqrencode3 has no installation candidate. You can fix this by opening the sources.list via sudo gedit /etc/apt/sources.list and adding universe behind all the repositories listed there. After another apt-get update, bitcoin-qt will install an run just fine und you can disconnect from the internet and continue with point 9 from the original instructions. Please be advised that you have to open the bitcoin client (and copy the wallet file later on) with sudo, otherwise you want be able to encrypt the wallet file.

Hope this helps anyone with the same problem!

Note: There might be security concerns because of the internet connection and installation of not-verified packages. Please use these instructions with caution and only for tiny amounts - while I think this attack vector is rather small, this is still a possible risk!


Comments

comments powered by Disqus